module go.mod

go 1.12

require (
	github.com/CloudyKit/jet/v3 v3.0.0 // indirect
	github.com/CloudyKit/jet/v4 v4.1.0 // indirect
	github.com/Joker/hpp v1.0.0 // indirect
	github.com/andybalholm/brotli v1.0.1-0.20200619015827-c3da72aa01ed // indirect
	github.com/dgraph-io/badger v1.6.0 // indirect
	github.com/etcd-io/bbolt v1.3.3 // indirect
	github.com/gavv/httpexpect v2.0.0+incompatible // indirect
	github.com/go-ozzo/ozzo-validation v3.6.0+incompatible
	github.com/go-ozzo/ozzo-validation/v3 v3.8.1
	github.com/go-sql-driver/mysql v1.5.0
	github.com/go-xorm/cmd/xorm v0.0.0-20190426080617-f87981e709a1 // indirect
	github.com/go-xorm/xorm v0.7.9
	github.com/golang/protobuf v1.4.2 // indirect
	github.com/gomodule/redigo v1.8.2 // indirect
	github.com/hashicorp/go-version v1.2.1 // indirect
	github.com/iris-contrib/blackfriday v2.0.0+incompatible // indirect
	github.com/iris-contrib/httpexpect/v2 v2.0.5 // indirect
	github.com/iris-contrib/jade v1.1.4 // indirect
	github.com/iris-contrib/middleware v12.1.2+incompatible // indirect
	github.com/iris-contrib/middleware/csrf v0.0.0-20200810001613-32cf668f999f
	github.com/json-iterator/go v1.1.10 // indirect
	github.com/kataras/blocks v0.0.2 // indirect
	github.com/kataras/golog v0.1.2 // indirect
	github.com/kataras/iris v0.0.1
	github.com/kataras/iris/v12 v12.1.9-0.20200901145807-1a163eb78df0
	github.com/kataras/neffos v0.0.16 // indirect
	github.com/kataras/rizla v0.1.1 // indirect
	github.com/kataras/tunnel v0.0.1 // indirect
	github.com/klauspost/compress v1.10.11 // indirect
	github.com/kr/pty v1.1.3 // indirect
	github.com/mediocregopher/radix/v3 v3.5.2 // indirect
	github.com/microcosm-cc/bluemonday v1.0.4 // indirect
	github.com/modern-go/concurrent v0.0.0-20180306012644-bacd9c7ef1dd // indirect
	github.com/modern-go/reflect2 v1.0.1 // indirect
	github.com/ryanuber/columnize v2.1.2+incompatible // indirect
	github.com/square/go-jose/v3 v3.0.0-20200630053402-0a67ce9b0693 // indirect
	github.com/tdewolff/minify/v2 v2.9.3 // indirect
	github.com/vmihailenco/msgpack/v5 v5.0.0-beta.1 // indirect
	github.com/yosssi/ace v0.0.5 // indirect
	go.etcd.io/bbolt v1.3.5 // indirect
	golang.org/x/crypto v0.0.0-20200820211705-5c72a883971a // indirect
	golang.org/x/net v0.0.0-20200822124328-c89045814202 // indirect
	golang.org/x/text v0.3.3 // indirect
	golang.org/x/time v0.0.0-20200630173020-3af7569d3a1e // indirect
	google.golang.org/appengine v1.6.6 // indirect
	google.golang.org/protobuf v1.25.0 // indirect
	gopkg.in/ini.v1 v1.60.2 // indirect
	gopkg.in/yaml.v3 v3.0.0-20200615113413-eeeca48fe776 // indirect
)
